### Method

# Adw Leafletnavigate

deprecated: 1.4

#### Declaration [src]

    gboolean
    adw_leaflet_navigate (
      AdwLeaflet* self,
      AdwNavigationDirection direction
    )

#### Description [src]

Navigates to the previous or next child.

The child must have the `AdwLeafletPage:navigatable` property set to `TRUE`, otherwise it will be skipped.

This will be the same child as returned by `adw_leaflet_get_adjacent_child()` or navigated to via swipe gestures.

Deprecated since: 1.4

See the migration guide

#### Parameters

`direction`

  Type: `AdwNavigationDirection`

  The direction.

#### Return value

Type: `gboolean`

Whether the visible child was changed.